
QGIS Application - Bug report #12368

DXF export: unfilled polygons are not rendered

2015-03-13 01:54 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20543

Description

When polygon layer has no fill (only border, no brush) it is not rendered in the DXF. Setting a brush for it make it rendered in the DXF.

It used to work before.

Jurgen, you'll be celebrated if you can solve this :)

Associated revisions

Revision 25e4e4d3 - 2015-03-23 09:43 PM - Jürgen Fischer

dxf export:

    -  switch to rgb colors only (fixes black/white issues)

    -  fix drawing of polygon outlines

    -  distiguish polygon outlines from filled polygons in paint engine (fixes

  #12368)

Revision ae954e8f - 2015-03-23 10:00 PM - Jürgen Fischer

dxf export:

    -  switch to rgb colors only (fixes black/white issues)

    -  fix drawing of polygon outlines

    -  distiguish polygon outlines from filled polygons in paint engine

  (fixes #12368)

(cherry picked from commit 25e4e4d3d687d5f32fc6ffe3fb4263448ea1d079)

History

#1 - 2015-03-14 04:01 AM - Jürgen Fischer

- Target version changed from Future Release - High Priority to Version 2.8

#2 - 2015-03-23 01:59 PM - Jürgen Fischer

fixed in commit:25e4e4d

#3 - 2015-03-23 02:00 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"ae954e8f37a78a5c045d80cf13b2ce7debd73f6d".
